org.apache.xmlbeans.impl.xb.xsdschema

## Interface NamespaceList.Member

- All Superinterfaces:
    XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Implementing Classes:
    NamespaceListImpl, NamespaceListImpl.MemberImpl
  Enclosing interface:
    NamespaceList

      public static interface NamespaceList.Member
      extends XmlToken

  An anonymous inner XML type. This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList$Member.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NamespaceList.Member.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList$Member.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NamespaceList.Member.Enum` | `ANY`
    `static ElementFactory<NamespaceList.Member>` | `Factory`
    `static int` | `INT_ANY`
    `static int` | `INT_OTHER`
    `static NamespaceList.Member.Enum` | `OTHER`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringEnumAbstractBase` | `getEnumValue()`
    `void` | `setEnumValue(StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<NamespaceList.Member> Factory

    - #### type

          static final SchemaType type

    - #### ANY

          static final NamespaceList.Member.Enum ANY

    - #### OTHER

          static final NamespaceList.Member.Enum OTHER

    - #### INT_ANY

          static final int INT_ANY

      See Also:
        Constant Field Values

    - #### INT_OTHER

          static final int INT_OTHER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnumValue

          StringEnumAbstractBase getEnumValue()

    - #### setEnumValue

          void setEnumValue(StringEnumAbstractBase e)